﻿function VaxSetDomainKey(sLicenceKey)
{
   return  m_objVaxSIPUserAgent.SetDomainKey(sLicenceKey);
}

function VaxInitialize(bBindToListenIP, sListenIP, nListenPort, sFromURI, sSIPOutBoundProxy, sSIPProxy, sLoginId, sLoginPwd, bUseSoundDevice, nTotalLine)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.Initialize(bBindToListenIP, sListenIP, nListenPort, sFromURI, sSIPOutBoundProxy, sSIPProxy, sLoginId, sLoginPwd, bUseSoundDevice, nTotalLine);
    else
        return m_objVaxSIPUserAgent.Initialize(String(Number(bBindToListenIP)), sListenIP, String(Number(nListenPort)), sFromURI, sSIPOutBoundProxy, sSIPProxy, sLoginId, sLoginPwd, String(Number(bUseSoundDevice)), String(Number(nTotalLine)));
}

function VaxGetMyIP()
{
    return m_objVaxSIPUserAgent.GetMyIP();
}

function VaxInitializeEx(sUserName, sLogin, sLoginPwd, sDisplayName, sDomainRealm, sSIPProxy, bUseSoundDevice, nTotalLine, bRegisterToProxy)
{
    VaxSetDomainKey("TRIAL-LICENSE-KEY");
        
    if (m_bIsInternetExplorerBrowser) 
    {
        Result = m_objVaxSIPUserAgent.InitializeEx(0, '', -1, sUserName, sLogin, sLoginPwd, sDisplayName, sDomainRealm, sSIPProxy, '', bUseSoundDevice, nTotalLine);
    }
    else 
    {
        Result = m_objVaxSIPUserAgent.InitializeEx(String(Number(0)), '', String(Number(-1)), sUserName, sLogin, sLoginPwd, sDisplayName, sDomainRealm, sSIPProxy, '', String(Number(bUseSoundDevice)), String(Number(nTotalLine)));
    }
        
    if (!Result) 
    {
        return false;
    }	
	
    if (!VaxOpenAllLines()) 
	{
	  return false;
	}
    	
    return true;
}

function VaxUnInitialize()
{
    m_objVaxSIPUserAgent.UnInitialize();
}

function VaxRegisterToProxy(nExpire)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.RegisterToProxy(nExpire);
    else
        return m_objVaxSIPUserAgent.RegisterToProxy(String(Number(nExpire)));
}

function VaxUnRegisterToProxy()
{
    return m_objVaxSIPUserAgent.UnRegisterToProxy();
}

function VaxOpenLine(nLineNo, bBindToRTPRxIP, sRTPRxIP, nRTPRxPort)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.OpenLine(nLineNo, bBindToRTPRxIP, sRTPRxIP, nRTPRxPort);
    else
        return m_objVaxSIPUserAgent.OpenLine(String(Number(nLineNo)), String(Number(bBindToRTPRxIP)), sRTPRxIP, String(Number(nRTPRxPort)));
}

function VaxOpenAllLines() 
{
    bResult = true;

    for (nLineNo = 0; nLineNo < m_nTotalLine; nLineNo++) 
    {
        if (!VaxOpenLine(nLineNo, 0, '', -1)) 
        {
            VaxErrorMessage();
            bResult = false;
            break;
        }
    }

    return bResult;
}

function VaxCloseLine(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.CloseLine(nLineNo);
    else
        return m_objVaxSIPUserAgent.CloseLine(String(Number(nLineNo)));
}

function VaxGetObjectError()
{
	return m_objVaxSIPUserAgent.GetVaxObjectError();
}

function VaxEnableKeepAlive(nSeconds)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.EnableKeepAlive(nSeconds);
    else
        return m_objVaxSIPUserAgent.EnableKeepAlive(String(Number(nSeconds)));
}

function VaxDisableKeepAlive()
{
    m_objVaxSIPUserAgent.DisableKeepAlive();
}

function VaxSetUserAgentSIP(sUserAgentName)
{
    return m_objVaxSIPUserAgent.SetUserAgentSIP(sUserAgentName);
}

function VaxGetUserAgentSIP()
{
    return m_objVaxSIPUserAgent.GetUserAgentSIP();
}

function VaxSetSubjectSDP(sSubjectSDP)
{
    return m_objVaxSIPUserAgent.SetSubjectSDP(sSubjectSDP);
}

function VaxGetSubjectSDP()
{
    return m_objVaxSIPUserAgent.GetSubjectSDP()
}

function VaxGetOutboundCodec(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.GetOutboundCodec(nLineNo);
    else
        return m_objVaxSIPUserAgent.GetOutboundCodec(String(Number(nLineNo)));
}

function VaxGetInboundCodec(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.GetInboundCodec(nLineNo);
    else
        return m_objVaxSIPUserAgent.GetInboundCodec(String(Number(nLineNo)));
}

function VaxGetVersionFile()
{
    return m_objVaxSIPUserAgent.GetVersionFile()
}

function VaxGetVersionSDK()
{
    return m_objVaxSIPUserAgent.GetVersionSDK()
}

function VaxSetSessionLostTick(nMinute)
{
    if (m_bIsInternetExplorerBrowser)
        m_objVaxSIPUserAgent.SetSessionLostTick(nMinute);
    else
        m_objVaxSIPUserAgent.SetSessionLostTick(String(Number(nMinute)));
}

function VaxSetTOS(nLineNo, nValue)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.SetTOS(nLineNo, nValue);
    else
        return m_objVaxSIPUserAgent.SetTOS(String(Number(nLineNo)), String(Number(nValue)));
}

function VaxGetTOS(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.GetTOS(nLineNo);
    else
        return m_objVaxSIPUserAgent.GetTOS(String(Number(nLineNo)));
}

function VaxErrorMessage()
{
    VaxError = VaxGetObjectError();

    switch (VaxError) 
    {
        case 10: alert("You are not online, please click the 'Online' button first to dial/receive the calls.");
            break;

        case 11: alert("Cann't open local communication port. Another softphone is already running. Please close it first.");
            break;

        case 12: alert("License Key is not valid.");
            break;

        case 13: alert("Fail to initialize VaxVoIP task window.");
            break;

        case 14: alert("Cann't access Input/Mic device or device is already in use.");
            break;

        case 15: alert("Cann't access Output/Speaker device or device is already in use.");
            break;

        case 16: alert("Input/Mic device is not open.");
            break;

        case 17: alert("Output/Speaker device is not open.");
            break;

        case 18: alert("Your sound device does not support mic volume.");
            break;

        case 19: alert("Your sound device does not support speaker volume.");
            break;

        case 20: alert("Recording media initialization failed.");
            break;

        case 21: alert("Cann't open the wave file.");
            break;

        case 22: alert("Provided SIP URI is not valid.");
            break;

        case 23: alert("Codec is not supported.");
            break;

        case 24: alert("Error to create SDP (Session Description Protocol) request.");
            break;

        case 25: alert("Error to create CONNECTION request. Please check the provided SIP URI is valid.");
            break;

        case 26: alert("Error to create REGISTER request. Please check the provided SIP URI is valid.");
            break;

        case 27: alert("Error to create UN-REGISTER request. Please check the provided SIP URI is valid.");
            break;

        case 28: alert("Error to create DISCONNECT request.");
            break;

        case 29: alert("Line No is not valid.");
            break;

        case 30: alert("Line is already busy.");
            break;

        case 31: alert("Line is not open.");
            break;

        case 32: alert("Invalid Call-Id.");
            break;

        case 33: alert("Provided value is not valid.");
            break;

        case 34: alert("Selected line is not in voice session.");
            break;

        case 35: alert("Fail to read wave file.");
            break;

        case 36: alert("Fail to write wave file.");
            break;

        case 37: alert("Unsupported wave file format.");
            break;

        case 38: alert("Error to create CANCEL request.");
            break;

        case 39: alert("License limit exceeded.");
            break;

        case 40: alert("Unable to find contact or contact is not added.");
            break;

        case 41: alert("Remote user is not online or remote user is failed to subscribe to the SIP SERVER");
            break;

        case 42: alert("Error to create chat status message.");
            break;

        case 43: alert("Error to create add contact message.");
            break;
    }
}

function VaxGetCallId(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.GetCallId(nLineNo);
    else
        return m_objVaxSIPUserAgent.GetCallId(String(Number(nLineNo)));
}

function VaxGetMicSoundLevel()
{
    return m_objVaxSIPUserAgent.GetMicSoundLevel();
}

function VaxGetSpkSoundLevel()
{
    return m_objVaxSIPUserAgent.GetSpkSoundLevel();
}

function VaxDialCall(nLineNo, sDialNo, nInputDeviceId, nOutputDeviceId)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.DialCall(nLineNo, sDialNo, nInputDeviceId, nOutputDeviceId);
    else
        return m_objVaxSIPUserAgent.DialCall(String(Number(nLineNo)), sDialNo, String(Number(nInputDeviceId)), String(Number(nOutputDeviceId)));
}

function VaxConnect(nLineNo, sToURI, nInputDeviceId, nOutputDeviceId)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.Connect(nLineNo, sDialNo, nInputDeviceId, nOutputDeviceId);
    else
        return m_objVaxSIPUserAgent.Connect(String(Number(nLineNo)), sDialNo, String(Number(nInputDeviceId)), String(Number(nOutputDeviceId)));
}

function VaxDisconnect(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.Disconnect(nLineNo);
    else
        return m_objVaxSIPUserAgent.Disconnect(String(Number(nLineNo)));
}

function VaxAcceptCall(nLineNo, sCallId, nInputDeviceId, nOutputDeviceId)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.AcceptCall(nLineNo, sCallId, nInputDeviceId, nOutputDeviceId);
    else
        return m_objVaxSIPUserAgent.AcceptCall(String(Number(nLineNo)), sCallId, String(Number(nInputDeviceId)), String(Number(nOutputDeviceId)));
}

function VaxRejectCall(sCallId)
{
    return m_objVaxSIPUserAgent.RejectCall(sCallId);
}

function VaxTransferCallEx(nLineNo, sToUserName)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.TransferCallEx(nLineNo, sToUserName);
    else
        return m_objVaxSIPUserAgent.TransferCallEx(String(Number(nLineNo)), sToUserName);
}

function VaxTransferCall(nLineNo, sToURI)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.TransferCall(nLineNo, sToURI);
    else
        return m_objVaxSIPUserAgent.TransferCall(String(Number(nLineNo)), sToURI);
}

function VaxJoinTwoLine(nLineNoA, nLineNoB)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.JoinTwoLine(nLineNoA, nLineNoB);
    else
        return m_objVaxSIPUserAgent.JoinTwoLine(String(Number(nLineNoA)), String(Number(nLineNoB)));
}

function VaxHoldLine(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.HoldLine(nLineNo);
    else
        return m_objVaxSIPUserAgent.HoldLine(String(Number(nLineNo)));
}

function VaxUnHoldLine(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.UnHoldLine(nLineNo);
    else
        return m_objVaxSIPUserAgent.UnHoldLine(String(Number(nLineNo)));
}

function VaxIsLineOpen(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.IsLineOpen(nLineNo);
    else
        return m_objVaxSIPUserAgent.IsLineOpen(String(Number(nLineNo)));
}

function VaxIsLineHold(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.IsLineHold(nLineNo);
    else
        return m_objVaxSIPUserAgent.IsLineHold(String(Number(nLineNo)));
}

function VaxIsLineBusy(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.IsLineBusy(nLineNo);
    else
        return m_objVaxSIPUserAgent.IsLineBusy(String(Number(nLineNo)));
}

function VaxDigitDTMF(nLineNo, sDigit)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.DigitDTMF(nLineNo, sDigit);
    else
        return m_objVaxSIPUserAgent.DigitDTMF(String(Number(nLineNo)), sDigit);
}

function VaxSetDTMFVolume(nVolume)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.SetDTMFVolume(nVolume);
    else
        return m_objVaxSIPUserAgent.SetDTMFVolume(String(Number(nVolume)));

}

function VaxGetDTMFVolume()
{
    return m_objVaxSIPUserAgent.GetDTMFVolume();
}

function VaxMuteMic(bMute)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.MuteMic(bMute);
    else
        return m_objVaxSIPUserAgent.MuteMic(String(Number(bMute)));
}

function VaxMuteSpk(bMute)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.MuteSpk(bMute);
    else
        return m_objVaxSIPUserAgent.MuteSpk(String(Number(bMute)));
}

function VaxGetMicVolume()
{
    return m_objVaxSIPUserAgent.GetMicVolume();
}

function VaxSetMicVolume(nVolume)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.SetMicVolume(nVolume);
    else
        return m_objVaxSIPUserAgent.SetMicVolume(String(Number(nVolume)));
}

function VaxGetSpkVolume()
{
    return m_objVaxSIPUserAgent.GetSpkVolume();
}

function VaxSetSpkVolume(nVolume)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.SetSpkVolume(nVolume);
    else
        return m_objVaxSIPUserAgent.SetSpkVolume(String(Number(nVolume)));
}

function VaxIsRecording(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.IsRecording(nLineNo);
    else
        return m_objVaxSIPUserAgent.IsRecording(String(Number(nLineNo)));
}

function VaxStartRecording(nLineNo, nRecordVoice, bRecordCompress)
{
   if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.StartRecording(nLineNo, nRecordVoice, bRecordCompress);
    else
        return m_objVaxSIPUserAgent.StartRecording(String(Number(nLineNo)), String(Number(nRecordVoice)), String(Number(bRecordCompress)));
}

function VaxStopRecording(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.StopRecording(nLineNo);
    else
        return m_objVaxSIPUserAgent.StopRecording(String(Number(nLineNo)));
}

function VaxResetRecording(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.ResetRecording(nLineNo);
    else
        return m_objVaxSIPUserAgent.ResetRecording(String(Number(nLineNo)));
}

function VaxSaveRecordingToWaveFile(nLineNo, sFileName)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.SaveRecordingToWaveFile(nLineNo, sFileName);
    else
        return m_objVaxSIPUserAgent.SaveRecordingToWaveFile(String(Number(nLineNo)),sFileName);
}

function VaxIsWaveFilePlaying(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.IsWaveFilePlaying(nLineNo);
    else
        return m_objVaxSIPUserAgent.IsWaveFilePlaying(String(Number(nLineNo)));
}

function VaxPlayWaveOpen(nLineNo, sFileName)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.PlayWaveOpen(nLineNo, sFileName);
    else
        return m_objVaxSIPUserAgent.PlayWaveOpen(String(Number(nLineNo)), sFileName);
}

function VaxPlayWaveClose(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.PlayWaveClose(nLineNo);
    else
        return m_objVaxSIPUserAgent.PlayWaveClose(String(Number(nLineNo)));
}

function VaxPlayWaveSkipTo(nLineNo, nSeconds)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.PlayWaveSkipTo(nLineNo, nSeconds);
    else
        return m_objVaxSIPUserAgent.PlayWaveSkipTo(String(Number(nLineNo)), String(Number(nSeconds)));
}

function VaxPlayWaveTotalTime(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.PlayWaveTotalTime(nLineNo);
    else
        return m_objVaxSIPUserAgent.PlayWaveTotalTime(String(Number(nLineNo)));
}

function VaxPlayWavePause(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.PlayWavePause(nLineNo);
    else
        return m_objVaxSIPUserAgent.PlayWavePause(String(Number(nLineNo)));
}

function VaxPlayWaveStart(nLineNo, bListen)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.PlayWaveStart(nLineNo, bListen);
    else
        return m_objVaxSIPUserAgent.PlayWaveStart(String(Number(nLineNo)), String(Number(bListen)));
}

function VaxPlayWaveStop(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.PlayWaveStop(nLineNo);
    else
        return m_objVaxSIPUserAgent.PlayWaveStop(String(Number(nLineNo)));
}

function VaxPlayWavePosition(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.PlayWavePosition(nLineNo);
    else
        return m_objVaxSIPUserAgent.PlayWavePosition(String(Number(nLineNo)));
}

function VaxSetSpkSoftVolume(nVolume)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.SetSpkSoftVolume(nVolume);
    else
        return m_objVaxSIPUserAgent.SetSpkSoftVolume(String(Number(nVolume)));
}

function VaxMuteLineSPK(nLineNo, bEnable)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.MuteLineSPK(nLineNo, bEnable);
    else
        return m_objVaxSIPUserAgent.MuteLineSPK(String(Number(nLineNo)), String(Number(bEnable)));
}

function VaxMuteLineMIC(nLineNo, bEnable)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.MuteLineMIC(nLineNo, bEnable);
    else
        return m_objVaxSIPUserAgent.MuteLineMIC(String(Number(nLineNo)), String(Number(bEnable)));
}

function VaxConfAllowLine(nLineNo, bAllowListen, bAllowSpeak)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.ConfAllowLine(nLineNo, bAllowListen, bAllowSpeak);
       else
        return m_objVaxSIPUserAgent.ConfAllowLine(String(Number(nLineNo)), String(Number(bAllowListen)), String(Number(bAllowSpeak)));
}

function VaxLineVoiceChannelSPK(nLineNo, nChannel)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.LineVoiceChannelSPK(nLineNo,nChannel);
    else
        return m_objVaxSIPUserAgent.LineVoiceChannelSPK(String(Number(nLineNo)),String(Number(nChannel)));
       
}

function VaxForwardCall(bEnable, sToUserName)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.ForwardCall(bEnable, sToUserName);
    else
        return m_objVaxSIPUserAgent.ForwardCall(String(Number(bEnable)), sToUserName);
}

function VaxDetectAMD(nLineNo, bEnable, nAnalysisTime, nSilenceTime, nSilenceCount)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.DetectAMD(nLineNo, bEnable, nAnalysisTime, nSilenceTime, nSilenceCount);
    else
        return m_objVaxSIPUserAgent.DetectAMD(String(Number(nLineNo)), String(Number(bEnable)), String(Number(nAnalysisTime)), String(Number(nSilenceTime)), String(Number(nSilenceCount)));
}

function VaxChatAddContact(sUserName)
{
    return m_objVaxSIPUserAgent.ChatAddContact(sUserName);
}

function VaxChatRemoveContact(sUserName)
{
    return m_objVaxSIPUserAgent.ChatRemoveContact(sUserName);
}

function VaxChatSendMessageTyping(sUserName, nUserValue32bit)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.ChatSendMessageTyping(sUserName, nUserValue32bit);
    else
        return m_objVaxSIPUserAgent.ChatSendMessageTyping(sUserName, String(Number(nUserValue32bit)));
}

function VaxChatSendMessageText(sUserName, sMsgText, nMsgType, nUserValue32bit)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.ChatSendMessageText(sUserName, sMsgText, nMsgType, nUserValue32bit);
    else
        return m_objVaxSIPUserAgent.ChatSendMessageText(sUserName, sMsgText, String(Number(nMsgType)), String(Number(nUserValue32bit)));
}

function VaxChatSetMyStatus(nStatusId)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.ChatSetMyStatus(nStatusId);
    else
        return m_objVaxSIPUserAgent.ChatSetMyStatus(String(Number(nStatusId)));
}

///////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////

function VaxGetAudioInDevId(nDeviceId) 
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.GetAudioInDevId(nDeviceId);
    else
        return m_objVaxSIPUserAgent.GetAudioInDevId(String(Number(nDeviceId)));
}

function VaxGetAudioOutDevId(nDeviceId) 
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.GetAudioOutDevId(nDeviceId);
    else
        return m_objVaxSIPUserAgent.GetAudioOutDevId(String(Number(nDeviceId)));
}

function VaxGetAudioInDevTotal() 
{
    return m_objVaxSIPUserAgent.GetAudioInDevTotal();
}

function VaxGetAudioOutDevTotal() 
{
    return m_objVaxSIPUserAgent.GetAudioOutDevTotal();
}

function VaxGetAudioOutDevName(nDeviceId) 
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.GetAudioOutDevName(nDeviceId);
    else
        return m_objVaxSIPUserAgent.GetAudioOutDevName(String(Number(nDeviceId)));
}

function VaxGetAudioInDevName(nDeviceId) 
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.GetAudioInDevName(nDeviceId);
    else
        return m_objVaxSIPUserAgent.GetAudioInDevName(String(Number(nDeviceId)));
}

///////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////

function VaxDeselectAllVoiceCodec()
{
    m_objVaxSIPUserAgent.DeselectAllVoiceCodec();
}

function VaxSelectAllVoiceCodec()
{
    m_objVaxSIPUserAgent.SelectAllVoiceCodec();
}

function VaxSelectVoiceCodec(nCodecNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.SelectVoiceCodec(nCodecNo);
    else
        return m_objVaxSIPUserAgent.SelectVoiceCodec(String(Number(nCodecNo)));
}

function VaxDeselectVoiceCodec(nCodecNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.DeselectVoiceCodec(nCodecNo);
    else
        return m_objVaxSIPUserAgent.DeselectVoiceCodec(String(Number(nCodecNo)));
}

function VaxEnableForceInbandDTMF(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.EnableForceInbandDTMF(nLineNo);
    else
        return m_objVaxSIPUserAgent.EnableForceInbandDTMF(String(Number(nLineNo)));
}

function VaxDisableForceInbandDTMF(nLineNo)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.DisableForceInbandDTMF(nLineNo);
    else
        return m_objVaxSIPUserAgent.DisableForceInbandDTMF(String(Number(nLineNo)));
}

function VaxEnableForceInfoDTMF(nLineNo) 
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.EnableForceInfoDTMF(nLineNo);
    else
        return m_objVaxSIPUserAgent.EnableForceInfoDTMF(String(Number(nLineNo)));
}

function VaxDisableForceInfoDTMF(nLineNo) 
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.DisableForceInfoDTMF(nLineNo);
    else
        return m_objVaxSIPUserAgent.DisableForceInfoDTMF(String(Number(nLineNo)));
}

function VaxEnableForceRfc2833DTMF(nLineNo) 
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.EnableForceRfc2833DTMF(nLineNo);
    else
        return m_objVaxSIPUserAgent.EnableForceRfc2833DTMF(String(Number(nLineNo)));
}

function VaxDisableForceRfc2833DTMF(nLineNo) 
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.DisableForceRfc2833DTMF(nLineNo);
    else
        return m_objVaxSIPUserAgent.DisableForceRfc2833DTMF(String(Number(nLineNo)));
}

function VaxEnableMicBoost()
{
    return m_objVaxSIPUserAgent.EnableMicBoost();
}

function VaxDisableMicBoost()
{
    return m_objVaxSIPUserAgent.DisableMicBoost();
}

function VaxIsMicBoostEnable()
{
    return m_objVaxSIPUserAgent.IsMicBoostEnable();
}

function VaxEnableAGC(nLevel)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.EnableAGC(nLevel);
    else
        return m_objVaxSIPUserAgent.EnableAGC(String(Number(nLevel)));
}

function VaxDisableAGC()
{
    return m_objVaxSIPUserAgent.DisableAGC();
}

function VaxEnableEchoNoiseCancellation()
{
    return m_objVaxSIPUserAgent.EnableEchoNoiseCancellation();
}

function VaxDisableEchoNoiseCancellation()
{
    return m_objVaxSIPUserAgent.DisableEchoNoiseCancellation();
}

function VaxEnableDonotDisturb()
{
    m_objVaxSIPUserAgent.EnableDonotDisturb();
}

function VaxDisableDonotDisturb()
{
    m_objVaxSIPUserAgent.DisableDonotDisturb();
}

function VaxVoiceChanger(nPitch)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.VoiceChanger(nPitch);
    else
        return m_objVaxSIPUserAgent.VoiceChanger(String(Number(nPitch)));
}

function VaxActivateQosSIP(nPriorityQos)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.ActivateQosSIP(nPriorityQos);
    else
        return m_objVaxSIPUserAgent.ActivateQosSIP(String(Number(nPriorityQos)));
}

function VaxDeactivateQosSIP()
{
    return m_objVaxSIPUserAgent.DeactivateQosSIP();
}

function VaxActivateQosRTP(nLineNo, nPriorityQos)
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.ActivateQosRTP(nLineNo, nPriorityQos);
    else
        return m_objVaxSIPUserAgent.ActivateQosRTP(String(Number(nLineNo)), String(Number(nPriorityQos)));
}

function VaxDeactivateQosRTP(nLineNo) 
{
    if (m_bIsInternetExplorerBrowser)
        return m_objVaxSIPUserAgent.DeactivateQosRTP(nLineNo);
    else
        return m_objVaxSIPUserAgent.DeactivateQosRTP(String(Number(nLineNo)));
}