﻿
var m_bTyping;
var m_nTimer;

function OnVaxChatInit()
{
    ComboMyChatStatus.options[0] = new Option("Online", 0);
    ComboMyChatStatus.options[1] = new Option("Offline", 1);
    ComboMyChatStatus.options[2] = new Option("Away", 2);
    ComboMyChatStatus.options[3] = new Option("On the phone", 3);
    ComboMyChatStatus.options[4] = new Option("Busy", 4);
}

function OnVaxChatUninit()
{
    ListChatLog.value = "";
    clearTimeout(m_nTimer);
}

function AddToChatTextList(value)
{
    if (ListTextMessages.value.length == 0)
        ListTextMessages.value = ListTextMessages.value + value;
    else
        ListTextMessages.value = ListTextMessages.value + "\n" + value;

    ListTextMessages.scrollTop = ListTextMessages.scrollHeight;
}

function BtnChatAddContact_onclick()
{
    if (!VaxChatAddContact(EditEnterChatContact.value))
    {
        VaxErrorMessage();
        return;
    }

    ListChatContact.options[ListChatContact.options.length] = new Option(EditEnterChatContact.value, EditEnterChatContact.value);

    if (ListChatContact.selectedIndex == -1)
        ListChatContact.selectedIndex = 0;

    EditEnterChatContact.value = "";
}

function BtnChatRemoveContact_onclick()
{
    if (ListChatContact.selectedIndex == -1) return;

    if (!VaxChatRemoveContact(ListChatContact.options[ListChatContact.selectedIndex].value))
    {
        VaxErrorMessage();
        return;
    }

    ListChatContact.remove(ListChatContact.selectedIndex);
}

function ComboMyChatStatus_onchange()
{
    if (ComboMyChatStatus.selectedIndex == -1) return;

    if (!VaxChatSetMyStatus(ComboMyChatStatus.options[ComboMyChatStatus.selectedIndex].value))
    {
        VaxErrorMessage();
        return;
    }
}

function BtnSendChatMsg_onclick()
{
    if (EditSendMsgUserName.length == 0) return;

    if (!VaxChatSendMessageText(EditSendMsgUserName.value, EditSendMsgText.value, 101, 0))
    {
        VaxErrorMessage();
        return;
    }

    AddToChatTextList("Me: " + EditSendMsgText.value);
    EditSendMsgText.value = "";
}

function ChatSendMessageTyping_onkeydown()
{
    if (!VaxChatSendMessageTyping(EditSendMsgUserName.value, 0))
        return;

}

function IsTyping()
{
    if (m_bTyping)
    {
        m_bTyping = false;
        m_nTimer = setTimeout("IsTyping()", 1000);
    }
    else
    {
        OnChatRecvMsgTypingStop();
    }
}

function GetStatusText(StatusId)
{
    var Status = "";

    switch (StatusId)
    {
        case 0:
            Status = "Online";
            break;

        case 1:
            Status = "Offline";
            break;

        case 2:
            Status = "Away";
            break;

        case 3:
            Status = "On the phone";
            break;

        case 4:
            Status = "Busy";
            break;
    }

    return Status;
}

function AddToChatLogList(value)
{
    if (ListChatLog.value.length == 0)
        ListChatLog.value = ListChatLog.value + value;
    else
        ListChatLog.value = ListChatLog.value + "\n" + value;

    ListChatLog.scrollTop = ListChatLog.scrollHeight;

}

function BtnClearChatLog_onclick()
{
    ListChatLog.value = "";
}

function BtnClearTextMsgs_onclick()
{
    ListTextMessages.value = "";
}

function OnChatContactStatus(UserName, StatusId)
{
    for (ContactCount = 0; ContactCount < ListChatContact.length; ContactCount++)
    {
        var ChatContact = ListChatContact.options[ContactCount].text.toUpperCase();

        if (ChatContact.indexOf(UserName.toUpperCase()) != -1)
        {
            ListChatContact.options[ContactCount].text = UserName + " [" + GetStatusText(StatusId) + "]";
        }
    }
}

function OnChatSendMsgTextSuccess(UserName, MsgText, UserValue32bit)
{
    AddToChatLogList("Send Message Success");
}

function OnChatSendMsgTextFail(UserName, StatusCode, sReasonPhrase, MsgText, UserValue32bit)
{
    AddToChatLogList("Send Message Fail");
}

function OnChatSendMsgTypingSuccess(UserName, UserValue32bit)
{
}

function OnChatSendMsgTypingFail(UserName, StatusCode, ReasonPhrase, UserValue32bit)
{
}

function OnChatRecvMsgText(UserName, MsgText)
{
    var nStart = MsgText.indexOf(">");

    if (nStart == -1)
    {
        AddToChatTextList(UserName + ": " + MsgText);
        return;
    }

    /* Remote softphone is sending HTML based text messages */

    nStart = nStart + 1;
    var nEnd = MsgText.indexOf("<", nStart);

    AddToChatTextList(UserName + ": " + MsgText.substr(nStart, nEnd - nStart));
}

function OnChatRecvMsgTypingStart(UserName)
{
    m_bTyping = true;
    EditUserTypingMsg.value = UserName + " is typing message";
    IsTyping();
}

function OnChatRecvMsgTypingStop()
{
    EditUserTypingMsg.value = "";
}