unit Alert;

interface

uses
  Winapi.Windows,
  Winapi.Messages,
  System.SysUtils,
  System.Variants,
  System.Classes,
  Vcl.Graphics,
  Vcl.Controls,
  Vcl.Forms,
  Vcl.Dialogs,
  Vcl.StdCtrls;

type
  TFormAlert = class(TForm)
    BtnOk: TButton;
    BtnCancel: TButton;
    LabelAlert: TLabel;

    Constructor Create(objFormPhone : TForm);overload;
    procedure BtnOkClick(Sender: TObject);
    procedure BtnCancelClick(Sender: TObject);
  end;

implementation

uses
Phone;
{$R *.dfm}

var
  m_objFormPhone : TFormPhone;

procedure TFormAlert.BtnCancelClick(Sender: TObject);
begin
   m_objFormPhone.CancelAlert;
end;

procedure TFormAlert.BtnOkClick(Sender: TObject);
begin
    m_objFormPhone.OkAlert;
end;

Constructor TFormAlert.Create(objFormPhone : TForm);
begin
  m_objFormPhone := TFormPhone(objFormPhone);
  inherited create(nil);

end;
end.
