// CallAlert.cpp : implementation file
//

#include "stdafx.h"
#include "VaxVoipSample.h"
#include "CallAlert.h"
#include "afxdialogex.h"

// CCallAlert dialog

IMPLEMENT_DYNAMIC(CCallAlert, CDialogEx)

CCallAlert::CCallAlert(CWnd* pParent /*=NULL*/)
	: CDialogEx(CCallAlert::IDD, pParent)
{
	m_pPhoneDlg = pParent;
}

CCallAlert::~CCallAlert()
{
}

void CCallAlert::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);

	CFont objFont;
	objFont.CreateFont(14, 0, 0, 0, FW_BOLD, FALSE, FALSE, 0, ANSI_CHARSET, OUT_DEFAULT_PRECIS, CLIP_DEFAULT_PRECIS, DEFAULT_QUALITY, DEFAULT_PITCH | FF_SWISS, "Verdana"); 
	GetDlgItem(IDC_LBLCALLALERT)->SetFont(&objFont);
}


BEGIN_MESSAGE_MAP(CCallAlert, CDialogEx)
	ON_BN_CLICKED(IDC_BTNOK, &CCallAlert::OnBnClickedBtnok)
	ON_BN_CLICKED(IDC_BTNCANCEL, &CCallAlert::OnBnClickedBtncancle)
END_MESSAGE_MAP()


// CCallAlert message handlers

void CCallAlert::OnBnClickedBtnok()
{
	m_pPhoneDlg->PostMessageA(WM_INCOMING_CALL_ALERT, IDOK, 0);
}

void CCallAlert::OnBnClickedBtncancle()
{
	m_pPhoneDlg->PostMessageA(WM_INCOMING_CALL_ALERT, IDCANCEL, 0);
}

//create window and show 
BOOL CCallAlert::CreateWnd(CWnd* pWnd)
{
	BOOL bRes;
	bRes = Create(IDD, pWnd);             //create window
	bRes =  ShowWindow(SW_SHOW);           //Show window

	return bRes;
}