﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace VaxVoIP
{
    class cListBoxEx : ListBox
    {
        ArrayList m_objItemDataList = new ArrayList();

        public cListBoxEx()
        {

        }

        public void AddItem(string sDisplayData, object objItemData)
        {
            this.Items.Add(sDisplayData);
            m_objItemDataList.Add(objItemData);
        }

        public void RemoveItem(int nIndex)
        {
            this.Items.RemoveAt(nIndex);
            m_objItemDataList.RemoveAt(nIndex);

        }

        public void UpdateItem(int nIndex, string sDisplayData)
        {
            this.Items[nIndex] = sDisplayData;

        }

        public void GetItemData(int nIndex, ref object objItemData)
        {
            objItemData = m_objItemDataList[nIndex];
        }

    }
}
