﻿
var m_nInterval;

function OnVaxPhoneInit()
{
    ChangeImgSize("SpkProgBarId", 0, 14);
    ChangeImgSize("MicProgBarId", 0, 14);

    m_bPlayDialTone = CheckPlayDialTone.checked;
    FillConsultTransferCombo();

    CheckLeftSpkListen.checked = true;
    CheckRightSpkListen.checked = true;

    CheckAllowListenConf.checked = true;
    CheckAllowSpeakConf.checked = true;

    CheckMuteLineSPK.checked = false;
    CheckMuteLineMIC.checked = false;

    CheckForwardCall.checked = false;

    m_arrayMuteLineSPK = new Array(m_nTotalLine);
    m_arrayMuteLineMIC = new Array(m_nTotalLine);

    m_arrayListenLeftSpk = new Array(m_nTotalLine);
    m_arrayListenRightSpk = new Array(m_nTotalLine);

    m_arrayAllowListenConf = new Array(m_nTotalLine);
    m_arrayAllowSpeakConf = new Array(m_nTotalLine);
    
    for (LineNo = 0; LineNo < m_nTotalLine; LineNo++)
    {
        m_arrayMuteLineSPK[LineNo] = false;
        m_arrayMuteLineMIC[LineNo] = false;

        m_arrayListenLeftSpk[LineNo] = true;
        m_arrayListenRightSpk[LineNo] = true;

        m_arrayAllowListenConf[LineNo] = true;
        m_arrayAllowSpeakConf[LineNo] = true;
    }
    
    timerId = setTimeout("TimerTick()", 1000);
    ProgressBarTimer = setTimeout("ProgressBarTick()", 20);
}

function OnVaxPhoneUninit()
{
    ChangeImgSize("SpkProgBarId", 0, 14);
    ChangeImgSize("MicProgBarId", 0, 14);
    clearTimeout(timerId);
    clearTimeout(ProgressBarTimer);

    while (ListIncomingCall.length > 0)
    {
        ListIncomingCall.remove(0);
        ListIncomingCallId.remove(0);
    }

    while (ListLines.length > 0)
        ListLines.remove(0);
    StopTone();
    ListPhoneLog.value = "";
}

function AddToLineStatusList(value)
{
    ListLines.options[ListLines.options.length] = new Option(value, 0);
}

function FindLine()
{
    LineNo = ListLines.selectedIndex;
    if (LineNo == -1) return -1;

    if (!VaxIsLineBusy(LineNo)) return LineNo;

    for (LineNo = 0; LineNo < m_nTotalLine; LineNo++)
    {
        if (!VaxIsLineBusy(LineNo)) return LineNo;
    }

    return -1;
}

function AddToListLines(value)
{
    ListLines.options[ListLines.options.length] = new Option(value, 0);
}

function TimerTick()
{
 
    var ItemText = "";

    timerId = setTimeout("TimerTick()", 1000);
     
    if (ListLines.length == 0)
    {
        for (LineNo = 0; LineNo < m_nTotalLine; LineNo++)
        {
            AddToListLines("Line-" + (LineNo + 1) + "    :    FREE");
        }

        ListLines.selectedIndex = 0;
    }

   UpdateLineList(ListLines.selectedIndex);

    for (ItemNo = 0; ItemNo < ListLines.length; ItemNo++)
    {
        ItemText = "Line-" + (ItemNo + 1) + "    :    ";

        if (!VaxIsLineOpen(ItemNo))
        {
            if (ListLines.options[ItemNo].text.indexOf("CLOSE") == -1)
            {
                ListLines.options[ItemNo].text = ItemText + "CLOSE";
            }
        }
        else if (VaxIsLineBusy(ItemNo))
        {
            if (VaxIsWaveFilePlaying(ItemNo))
            {
                if (ListLines.options[ItemNo].text.indexOf("PLAY") == -1)
                {
                    ListLines.options[ItemNo].text = ItemText + "PLAY";
                }
            }
            else if (VaxIsLineHold(ItemNo))
            {
                if (ListLines.options[ItemNo].text.indexOf("HOLD") == -1)
                {
                    ListLines.options[ItemNo].text = ItemText + "HOLD";
                }
            }
            else
            {
                if (ListLines.options[ItemNo].text.indexOf("BUSY") == -1 && ListLines.options[ItemNo].text.indexOf("CONNECTING") == -1)
                {
                    ListLines.options[ItemNo].text = ItemText + "BUSY";
                }
            }
        }
        else
        {
            if (ListLines.options[ItemNo].text.indexOf("FREE") == -1)
            {
                ListLines.options[ItemNo].text = ItemText + "FREE";
            }
        }

    }
}

function ChangeImgSize(objectId, newWidth, newHeight)
{
    document.getElementById(objectId).width = newWidth;
    document.getElementById(objectId).height = newHeight;
}

function FillConsultTransferCombo()
{
    while (ComboConsultLineA.length > 0)
        ComboConsultLineA.remove(0);

    while (ComboConsultLineB.length > 0)
        ComboConsultLineB.remove(0);

    for (LineNo = 1; LineNo <= m_nTotalLine; LineNo++)
    {
        ComboConsultLineA.options[LineNo - 1] = new Option("Line-" + LineNo, LineNo - 1);
        ComboConsultLineB.options[LineNo - 1] = new Option("Line-" + LineNo, LineNo - 1);
    }

    ComboConsultLineA.selectedIndex = 0;
    ComboConsultLineB.selectedIndex = 1;
}
 
function BtnDial_onclick()
{

    if (EditPhoneNo.value == "")
    {
        alert("Please enter a phone number.");
        return;
    }

    LineNo = FindLine();

    if (LineNo == -1)
    {
        alert("No line is free");
        return;
    }
	
    InputDeviceId = ListAudioIn.options[ListAudioIn.selectedIndex].value;
    OutputDeviceId = ListAudioOut.options[ListAudioOut.selectedIndex].value;
    
    Result = VaxDetectAMD(LineNo, CheckDetectAMD.checked, 6000, 300, 2);

    if (!VaxDialCall(LineNo, EditPhoneNo.value, InputDeviceId, OutputDeviceId))
    {
        VaxErrorMessage();
    }
    else
    {
        AddToPhoneLogList("Line-" + (LineNo + 1) + ": Dialing.");
    }
}

function BtnHangUp_onclick()
{
    StopDialTone();
	
    if (!VaxDisconnect(ListLines.selectedIndex))
        VaxErrorMessage();
}

function BtnSaveToWaveFile_onclick()
{
   if (!VaxSaveRecordingToWaveFile(ListLines.selectedIndex, EditRecordFileName.value))
    {
        VaxErrorMessage();
        return;
    }

    alert("Saved Sucessfully");
}

function BtnResetRecordingBuffer_onclick()
{
    VaxResetRecording(ListLines.selectedIndex);
}

function CheckStartRecording_onclick()
{
    if (CheckStartRecording.checked)
    {
        VaxStartRecording(ListLines.selectedIndex, 2, 1);
    }
    else
    {
        VaxStopRecording(ListLines.selectedIndex);
    }
}

function BtnAccept_onclick()
{
    if (ListIncomingCall.selectedIndex == -1) return;
    CallId = ListIncomingCallId.options[ListIncomingCall.selectedIndex].text;

    LineNo = FindLine();
    if (LineNo == -1)
    {
        alert("No line is free");
        return;
    }

    VaxDetectAMD(LineNo, CheckDetectAMD.checked, 6000, 300, 2)

    InputDeviceId = ListAudioIn.options[ListAudioIn.selectedIndex].value;
    OutputDeviceId = ListAudioOut.options[ListAudioOut.selectedIndex].value;

    if (!VaxAcceptCall(LineNo, CallId, InputDeviceId, OutputDeviceId))
    {
        VaxErrorMessage();
        return;
    }

    StopTone();

    ListIncomingCallId.remove(ListIncomingCall.selectedIndex);
    ListIncomingCall.remove(ListIncomingCall.selectedIndex);

    if (ListIncomingCall.selectedIndex == -1 && ListIncomingCall.length > 0)
        ListIncomingCall.selectedIndex = 0;

   ListLines.options[LineNo].text = "Line-" + (LineNo + 1) + "    :    " + "CONNECTING";
}

function BtnReject_onclick()
{
    if (ListIncomingCall.selectedIndex == -1) return;

    CallId = ListIncomingCallId.options[ListIncomingCall.selectedIndex].text;
	
    if (!VaxRejectCall(CallId))
    {
        VaxErrorMessage();
        return;
    }

    StopTone();

    ListIncomingCallId.remove(ListIncomingCall.selectedIndex);
    ListIncomingCall.remove(ListIncomingCall.selectedIndex);

    if (ListIncomingCall.selectedIndex == -1 && ListIncomingCall.length > 0)
        ListIncomingCall.selectedIndex = 0;
}

function CheckPlayRingTone_onclick()
{
    if (CheckPlayRingTone.checked == 0)
        StopTone();
}

function AddToIncomingCallList(value)
{
    ListIncomingCall.options[ListIncomingCall.options.length] = new Option(value, 0);
}

function AddToIncomingCallIdList(value)
{
    ListIncomingCallId.options[ListIncomingCallId.options.length] = new Option(value, 0);
}

function FindCallId(CallId)
{
    for (ItemIndex = 0; ItemIndex < ListIncomingCallId.length; ItemIndex++)
    {
        if (ListIncomingCallId.options[ItemIndex].text == CallId)
		{
            return ItemIndex;
		}
    }
    return -1;
}

function BtnSetPlayFile_onclick()
{
    if (!VaxPlayWaveOpen(ListLines.selectedIndex, EditPlayFileName.value))
        VaxErrorMessage();
}

function BtnPlayPause_onclick()
{
    if (!VaxPlayWavePause(ListLines.selectedIndex))
        VaxErrorMessage();
}

function BtnPlayStop_onclick()
{
    if (!VaxPlayWaveStop(ListLines.selectedIndex))
        VaxErrorMessage();
}

function BtnStartPlay_onclick()
{
    if (!VaxPlayWaveStart(ListLines.selectedIndex, CheckPlayListen.checked))
        VaxErrorMessage();
}

function BtnPlayRewind_onclick()
{
    PlayPos = VaxPlayWavePosition(ListLines.selectedIndex);

    if (PlayPos == -1)
    {
        VaxErrorMessage();
        return;
    }

    if (!VaxPlayWaveSkipTo(ListLines.selectedIndex, PlayPos - 3))
    {
        VaxErrorMessage();
    }
}

function BtnPlayForward_onclick()
{
    PlayPos = VaxPlayWavePosition(ListLines.selectedIndex);

    if (PlayPos == -1)
    {
        VaxErrorMessage();
        return;
    }

    if (!VaxPlayWaveSkipTo(ListLines.selectedIndex, PlayPos + 3))
    {
        VaxErrorMessage();
    }
}

function CheckLeftSpkListen_onclick()
{
    nLineNo = ListLines.selectedIndex;
    if (nLineNo == -1) return;

    if (!CheckLeftSpkListen.checked && !CheckRightSpkListen.checked)
    {
        CheckRightSpkListen.checked = true;
    }
    
    if (!VaxLineVoiceChannelSPK(nLineNo, SpkListenChannel(CheckLeftSpkListen.checked, CheckRightSpkListen.checked)))
    {
        VaxErrorMessage();
        return;
    }
   
    m_arrayListenLeftSpk[nLineNo] = CheckLeftSpkListen.checked;
}

function CheckRightSpkListen_onclick()
{
    nLineNo = ListLines.selectedIndex;
    if (nLineNo == -1) return;

    if (!CheckLeftSpkListen.checked && !CheckRightSpkListen.checked)
    {
        CheckLeftSpkListen.checked = true;
    }

    if (!VaxLineVoiceChannelSPK(nLineNo, SpkListenChannel(CheckLeftSpkListen.checked, CheckRightSpkListen.checked)))
    {
        VaxErrorMessage();
        return;
    }

    m_arrayListenRightSpk[nLineNo] = CheckRightSpkListen.checked;
}


function CheckAllowListenConf_onclick()
{
    nLineNo = ListLines.selectedIndex;
    
    if (nLineNo == -1) return;
    
    if(!VaxConfAllowLine(nLineNo, CheckAllowListenConf.checked, CheckAllowSpeakConf.checked))
    {
        VaxErrorMessage();
        return;
    }
   
    m_arrayAllowListenConf[nLineNo] = CheckAllowListenConf.checked;
    
}

function CheckAllowSpeakConf_onclick()
{
          
    nLineNo = ListLines.selectedIndex;
    if (nLineNo == -1) return;
    
    if (!VaxConfAllowLine(nLineNo, CheckAllowListenConf.checked, CheckAllowSpeakConf.checked))
    {
        VaxErrorMessage();
        return;
    }
    
    m_arrayAllowSpeakConf[nLineNo] = CheckAllowSpeakConf.checked;
}

function BtnTransferCall_onclick()
{
    if (!VaxTransferCallEx(ListLines.selectedIndex, EditTransferPhoneNo.value))
    {
        VaxErrorMessage();
    }
}

function CheckSpkMute_onclick()
{
    VaxMuteSpk(CheckSpkMute.checked);
}

function CheckMicMute_onclick()
{
    VaxMuteMic(CheckMicMute.checked);
}

function BtnSpkVolUp_onclick()
{
    SpkVol = EditSpkVol.value;
    if (SpkVol == 10) return;

    SpkVol++;
    EditSpkVol.value = SpkVol;


    /***************************************************************
    SetSpkVolume method requires Volume value from 0 to 255 range    
    but the slider range is 0 to 10, so we multiply the slider value 
    to 25 to get the required value to pass to SetSpkVolume method   

    For more detail, please see the method details document
    *****************************************************************/

    VaxSetSpkVolume(SpkVol * 25);
}

function BtnSpkVolDown_onclick()
{
    SpkVol = EditSpkVol.value;
    if (SpkVol == 0) return;

    SpkVol--;
    EditSpkVol.value = SpkVol;

    /***************************************************************
    SetSpkVolume method requires Volume value from 0 to 255 range    
    but the slider range is 0 to 10, so we multiply the slider value 
    to 25 to get the required value to pass to SetSpkVolume method   

    For more detail, please see the method details document
    *****************************************************************/

    VaxSetSpkVolume(SpkVol * 25);
}

function BtnMicVolUp_onclick()
{
    MicVol = EditMicVol.value;
    if (MicVol == 10) return;

    MicVol++;

    EditMicVol.value = MicVol;

    /***************************************************************
    SetMicVolume method requires Volume value from 0 to 255 range    
    but the slider range is 0 to 10, so we multiply the slider value 
    to 25 to get the required value to pass to SetMicVolume method   

    For more detail, please see the method details document
    *****************************************************************/

    VaxSetMicVolume(MicVol * 25);
}

function BtnMicVolDown_onclick()
{
    MicVol = EditMicVol.value;
    if (MicVol == 0) return;

    MicVol--;
    EditMicVol.value = MicVol;

    /***************************************************************
    SetMicVolume method requires Volume value from 0 to 255 range    
    but the slider range is 0 to 10, so we multiply the slider value 
    to 25 to get the required value to pass to SetMicVolume method   

    For more detail, please see the method details document
    *****************************************************************/

    VaxSetMicVolume(MicVol * 25);
}

function ProgressBarTick()
{
    ProgressBarTimer = setTimeout("ProgressBarTick()", 20);

    ChangeImgSize("SpkProgBarId", (257 / 100) * VaxGetSpkSoundLevel(), 14);
    ChangeImgSize("MicProgBarId", (257 / 100) * VaxGetMicSoundLevel(), 14);
}

function UpdateLineList(LineNo)
{
    if (CheckStartConf.checked)
    {
        for (LineCount = 0; LineCount < m_nTotalLine; LineCount++)
        {
            if (VaxIsLineHold(LineCount))
                VaxUnHoldLine(LineCount);
        }
    }

    else
    {
        for (LineCount = 0; LineCount < m_nTotalLine; LineCount++)
        {
            if (LineCount == LineNo) continue;

            if (VaxIsLineBusy(LineCount) == 1 && VaxIsLineHold(LineCount) == 0)
            {
                VaxHoldLine(LineCount);
            }
        }

        if (VaxIsLineHold(LineNo))
            VaxUnHoldLine(LineNo);
    }
}

function CheckStartConf_onclick()
{
    BusyCount = 0;

    for (LineNo = 0; LineNo < m_nTotalLine; LineNo++)
    {
        if (VaxIsLineBusy(LineNo))
            BusyCount++;
    }

    if (BusyCount < 2)
    {
        CheckStartConf.checked = 0;
        alert("Dial/receive more than one calls and then click start conference check box.");
    }
}
function SpkListenChannel(bListenLeft, bListenRight)
{
    if (bListenLeft && !bListenRight)
        return 0;

    else if (!bListenLeft && bListenRight)
        return 1;

    return 2;
}

function StartDialTone()
{
    if (!m_bPlayDialTone) return;

    StartTone();
}

function StopDialTone()
{
    if (!m_bPlayDialTone) return;

    StopTone();
}

function BtnDialPad1_onclick()
{
    EditPhoneNo.value += "1";
    VaxDigitDTMF(ListLines.selectedIndex, "1");
}

function BtnDialPad2_onclick()
{
    EditPhoneNo.value += "2";
    VaxDigitDTMF(ListLines.selectedIndex, "2");
}

function BtnDialPad3_onclick()
{
    EditPhoneNo.value += "3";
    VaxDigitDTMF(ListLines.selectedIndex, "3");
}

function BtnDialPad4_onclick()
{
    EditPhoneNo.value += "4";
    VaxDigitDTMF(ListLines.selectedIndex, "4");
}

function BtnDialPad5_onclick()
{
    EditPhoneNo.value += "5";
    VaxDigitDTMF(ListLines.selectedIndex, "5");
}

function BtnDialPad6_onclick()
{
    EditPhoneNo.value += "6";
    VaxDigitDTMF(ListLines.selectedIndex, "6");
}

function BtnDialPad7_onclick()
{
    EditPhoneNo.value += "7";
    VaxDigitDTMF(ListLines.selectedIndex, "7");
}

function BtnDialPad8_onclick()
{
    EditPhoneNo.value += "8";
    VaxDigitDTMF(ListLines.selectedIndex, "8");
}

function BtnDialPad9_onclick()
{
    EditPhoneNo.value += "9";
    VaxDigitDTMF(ListLines.selectedIndex, "9");
}

function BtnDialPadStar_onclick()
{
    EditPhoneNo.value += "*";
    VaxDigitDTMF(ListLines.selectedIndex, "*");
}

function BtnDialPad0_onclick()
{
    EditPhoneNo.value += "0";
    VaxDigitDTMF(ListLines.selectedIndex, "0");
}

function BtnDialPadNo_onclick()
{
    EditPhoneNo.value += "#";
    VaxDigitDTMF(ListLines.selectedIndex, "#");
}

function CheckPlayDialTone_onclick()
{
    if (m_bPlayDialTone)
        StopTone();

    m_bPlayDialTone = CheckPlayDialTone.checked;
}

function BtnConsultTransfer_onclick()
{
    if (ComboConsultLineA.selectedIndex == ComboConsultLineB.selectedIndex)
    {
        alert("Please select two different lines.");
        return;
    }

    if (!VaxJoinTwoLine(ComboConsultLineA.selectedIndex, ComboConsultLineB.selectedIndex))
    {
        VaxErrorMessage();
        return;
    }
}

function CheckMuteLineSPK_onclick()
{
    nLineNo = ListLines.selectedIndex;
    if (nLineNo == -1) return;

    if (!VaxMuteLineSPK(nLineNo, CheckMuteLineSPK.checked))
    {
        VaxErrorMessage();
        return;
    }

    m_arrayMuteLineSPK[nLineNo] = CheckMuteLineSPK.checked;
}

function CheckMuteLineMIC_onclick()
{
    nLineNo = ListLines.selectedIndex;
    if (nLineNo == -1) return;

    if (!VaxMuteLineMIC(nLineNo, CheckMuteLineMIC.checked))
    {
        VaxErrorMessage();
        return;
    }

    m_arrayMuteLineMIC[nLineNo] = CheckMuteLineMIC.checked;
}

function ListLines_onclick()
{
    nLineNo = ListLines.selectedIndex;
    if (nLineNo == -1) return;
    CheckMuteLineMIC.checked = m_arrayMuteLineMIC[nLineNo];
    CheckMuteLineSPK.checked = m_arrayMuteLineSPK[nLineNo];

    CheckLeftSpkListen.checked = m_arrayListenLeftSpk[nLineNo];
    CheckRightSpkListen.checked = m_arrayListenRightSpk[nLineNo];

    CheckAllowListenConf.checked = m_arrayAllowListenConf[nLineNo];
    CheckAllowSpeakConf.checked = m_arrayAllowSpeakConf[nLineNo];
    
}

function CheckForwardCall_onclick()
{
    if (EditForwardCallPhoneNo.value == "")
    {
        CheckForwardCall.checked = false;
        alert("Please enter a phone number.");
        return;
    }

    if (!VaxForwardCall(CheckForwardCall.checked, EditForwardCallPhoneNo.value))
    {
        VaxErrorMessage();
        return;
    }
}

function AddToPhoneLogList(value)
{
    if (ListPhoneLog.value.length == 0)
        ListPhoneLog.value = ListPhoneLog.value + value;
    else
        ListPhoneLog.value = ListPhoneLog.value + "\n" + value;

    ListPhoneLog.scrollTop = ListPhoneLog.scrollHeight;

}

function BtnClearPhoneLog_onclick()
{
    ListPhoneLog.value = "";
}

function OnIncomingCall(CallId, DisplayName, UserName, FromURI, ToURI)
{
    if (FindCallId(CallId) != -1) return;
	
    AddToIncomingCallIdList(CallId);
    
    if (DisplayName.length != 0)
        AddToIncomingCallList("CLI: " + DisplayName);
    else
        AddToIncomingCallList("CLI: " + UserName);

    if (ListIncomingCall.selectedIndex == -1 && ListIncomingCall.length > 0)
        ListIncomingCall.selectedIndex = 0;
}

function BlinkStart()
{

    PhoneTab = document.getElementById("Phone");
    if (PhoneTab.style.display != 'block' && ListIncomingCall.length==1)
    {
        m_nInterval = setInterval("BlinkText()", 500);
    }
}

function BlinkStop()
{
    PhoneTab = document.getElementById("Phone");
    if (PhoneTab.style.display != 'block' && ListIncomingCall.length> 0) return;

    clearInterval(m_nInterval);
    document.getElementById("PhoneLink").style.color = "";
}

function BlinkText()
{
    LinkText = document.getElementById("PhoneLink");
    LinkText.style.color = (LinkText.style.color == 'blue' || LinkText.style.color=='purple' ? 'red' : 'blue');
}

function OnIncomingCallRingingStart(CallId)
{
    if (CheckPlayRingTone.checked)
        StartTone();
    BlinkStart();
}

function OnIncomingCallRingingStop(CallId)
{
    ItemIndex = FindCallId(CallId);
    if (ItemIndex == -1) return;

    ListIncomingCall.remove(ItemIndex);
    ListIncomingCallId.remove(ItemIndex);

    StopTone();
    BlinkStop();
}

function OnIncomingDiagnostic(MsgSIP, FromIP, FromPort)
{
}

function OnOutgoingDiagnostic(MsgSIP, ToIP, ToPort)
{
}

function OnDTMFDigit(LineNo, Digit)
{
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Key-pressed: " + Digit);
}

function OnPlayWaveDone(LineNo)
{
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Play wave file done.");
}

function OnFailToConnect(LineNo)
{
    StopDialTone();
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Fail to connect.");
}

function OnConnecting(LineNo)
{
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Connecting..");
}

function OnSuccessToConnect(LineNo, ToRTPIP, ToRTPPort)
{

    StopDialTone();

    if (LineNo != ListLines.selectedIndex)
    {
        VaxHoldLine(LineNo);
        ListLines.options[LineNo].text = "Line-" + (LineNo + 1) + "    :    " + "HOLD";
    }
    else
    {
       ListLines.options[LineNo].text = "Line-" + (LineNo + 1) + "    :    " + "BUSY";
    }

    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Success to connect.");

    EditSpkVol.value = Math.round(VaxGetSpkVolume() / 25);
    EditMicVol.value = Math.round(VaxGetMicVolume() / 25);

    CheckMicBoost.checked = VaxIsMicBoostEnable();

}

function OnDisconnectCall(LineNo)
{
    StopDialTone();
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Hung up.");
}

function OnCallTransferAccepted(LineNo)
{
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Transfer accepted.");
}

function OnFailToTransfer(LineNo, StatusCode, ReasonPhrase)
{
    AddToPhoneLogList("Fail to Transfer: " + ReasonPhrase);
}

function OnProvisionalResponse(LineNo, StatusCode, ReasonPhrase)
{
    if (StatusCode == 180)
        StartDialTone();

    else if (StatusCode == 183)
        StopDialTone();

    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Response: " + ReasonPhrase + ".");
}

function OnRedirectionResponse(LineNo, StatusCode, ReasonPhrase, Contact)
{
    StopDialTone();
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Response: " + ReasonPhrase + ".");
}

function OnServerFailureResponse(LineNo, StatusCode, ReasonPhrase)
{
    StopDialTone();
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Response: " + ReasonPhrase + ".");
}

function OnGeneralFailureResponse(LineNo, StatusCode, ReasonPhrase)
{
    StopDialTone();
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Response: " + ReasonPhrase + ".");
}

function OnRequestFailureResponse(LineNo, StatusCode, ReasonPhrase)
{
    StopDialTone();
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Response: " + ReasonPhrase + ".");
}

function OnSessionLostEvent(LineNo)
{

}

function OnSuccessToHold(LineNo)
{

}

function OnTryingToHold(LineNo)
{

}

function OnFailToHold(LineNo)
{

}

function OnSuccessToUnHold(LineNo)
{

}

function OnTryingToUnHold(LineNo)
{

}

function OnFailToUnHold(LineNo)
{

}

function OnMsgNOTIFY(Msg)
{
}

function OnDetectedAMD(LineNo, IsHuman)
{
    if (!IsHuman)
        AddToPhoneLogList("Line-" + (LineNo + 1) + ": Answering Machine [Yes]");
    else
        AddToPhoneLogList("Line-" + (LineNo + 1) + ": Answering Machine [No]");
}