﻿
var m_nInterval;

function OnVaxPhoneInit()
{
    ChangeImgSize("SpkProgBarId", 0, 14);
    ChangeImgSize("MicProgBarId", 0, 14);

    m_bPlayDialTone = CheckPlayDialTone.checked;

    FillComboBoxes();

    CheckLeftSpkListen.checked = true;
    CheckRightSpkListen.checked = true;
    
    CheckAllowListenConf.checked = true;
    CheckAllowSpeakConf.checked = true;

    CheckMuteLineSPK.checked = false;
    CheckMuteLineMIC.checked = false;

    CheckForwardCall.checked = false;
            
    m_arrayMuteLineSPK = new Array(m_nTotalLine);
    m_arrayMuteLineMIC = new Array(m_nTotalLine);

    m_arrayListenLeftSpk = new Array(m_nTotalLine);
    m_arrayListenRightSpk = new Array(m_nTotalLine);

    m_arrayAllowListenConf = new Array(m_nTotalLine);
    m_arrayAllowSpeakConf = new Array(m_nTotalLine);

    for (LineNo = 0; LineNo < m_nTotalLine; LineNo++)
    {
        m_arrayMuteLineSPK[LineNo] = false;
        m_arrayMuteLineMIC[LineNo] = false;

        m_arrayListenLeftSpk[LineNo] = true;
        m_arrayListenRightSpk[LineNo] = true;

        m_arrayAllowListenConf[LineNo] = true;
        m_arrayAllowSpeakConf[LineNo] = true;
    }
    
    timerId = setTimeout("TimerTick()", 1000);
    ProgressBarTimer = setTimeout("ProgressBarTick()", 20);
}

function OnVaxPhoneUninit()
{
    ChangeImgSize("SpkProgBarId", 0, 14);
    ChangeImgSize("MicProgBarId", 0, 14);
    clearTimeout(timerId);
    clearTimeout(ProgressBarTimer);

    while (ListIncomingCall.length > 0)
    {
        ListIncomingCall.remove(0);
        ListIncomingCallId.remove(0);
    }

    while (ListLines.length > 0)
        ListLines.remove(0);
    StopTone();
    ListPhoneLog.value = "";
}

function AddToLineStatusList(value)
{
    ListLines.options[ListLines.options.length] = new Option(value, 0);
}

function FillComboBoxes() 
{
    ResetDialCombo();
    ResetComboRecord();
    
    ResetComboIncomingCall();
    ResetComboPlayWave();

    ResetComboTransferCall();
    ResetConsultTransferCombo();
    
}

function ChangeImgSize(objectId, newWidth, newHeight)
{
    document.getElementById(objectId).width = newWidth;
    document.getElementById(objectId).height = newHeight;
}

function TimerTick()
{
    var Postfix = "";
    var OutboundCodecName = "";
    var InboundCodecName = "";
    var Update = 0;
    var ItemText = "";

    timerId = setTimeout("TimerTick()", 1000);

    if (ListLines.length == 0)
    {
        for (LineNo = 0; LineNo < m_nTotalLine; LineNo++)
        {
            AddToLineStatusList("Line-" + (LineNo + 1) + "  FREE");
        }
    }

    for (ItemNo = 0; ItemNo < ListLines.length; ItemNo++)
    {
        Update = 0;

        OutboundCodecName = GetCodecName(VaxGetOutboundCodec(ItemNo));
        InboundCodecName = GetCodecName(VaxGetInboundCodec(ItemNo));

        Postfix = "";

        if (OutboundCodecName != "" && InboundCodecName != "")
        {
            Postfix = "  Out: " + OutboundCodecName + "  In: " + InboundCodecName;
        }

        ItemText = ListLines.options[ItemNo].text;
        if (ItemText.indexOf("Out: " + OutboundCodecName) == -1 || ItemText.indexOf("In: " + InboundCodecName) == -1)
            Update = 1;

        ItemText = "Line-" + (ItemNo + 1) + "  ";

        if (!VaxIsLineOpen(ItemNo))
        {
            if (ListLines.options[ItemNo].text.indexOf("CLOSE") == -1 || Update)
            {
                ListLines.options[ItemNo].text = ItemText + "CLOSE" + Postfix;
            }
        }
        else if (VaxIsLineBusy(ItemNo))
        {
            if (VaxIsWaveFilePlaying(ItemNo))
            {
                if (ListLines.options[ItemNo].text.indexOf("PLAY") == -1 || Update)
                {
                    ListLines.options[ItemNo].text = ItemText + "PLAY" + Postfix;
                }
            }
            else if (VaxIsLineHold(ItemNo))
            {
                if (ListLines.options[ItemNo].text.indexOf("HOLD") == -1 || Update)
                {
                    ListLines.options[ItemNo].text = ItemText + "HOLD" + Postfix;
                }
            }
            else
            {
                if (ListLines.options[ItemNo].text.indexOf("BUSY") == -1 || Update)
                {
                    ListLines.options[ItemNo].text = ItemText + "BUSY" + Postfix;
                }
            }
        }
        else
        {
            if (ListLines.options[ItemNo].text.indexOf("FREE") == -1 || Update)
            {
                ListLines.options[ItemNo].text = ItemText + "FREE" + Postfix;
            }
        }
    }
}

function ResetComboTransferCall()
{
    while (ComboTransferCall.length > 0)
        ComboTransferCall.remove(0);

    for (LineNo = 1; LineNo <= m_nTotalLine; LineNo++)
    {
        ComboTransferCall.options[LineNo - 1] = new Option("Line-" + LineNo, LineNo - 1);
    }

    ComboTransferCall.selectedIndex = 0;
}

function ResetComboPlayWave()
{
    while (ComboPlayWave.length > 0)
        ComboPlayWave.remove(0);

    for (LineNo = 1; LineNo <= m_nTotalLine; LineNo++)
    {
        ComboPlayWave.options[LineNo - 1] = new Option("Line-" + LineNo, LineNo - 1);
    }

    ComboPlayWave.selectedIndex = 0;
}

function ResetComboIncomingCall()
{
    while (ComboIncomingCall.length > 0)
        ComboIncomingCall.remove(0);

    for (LineNo = 1; LineNo <= m_nTotalLine; LineNo++)
    {
        ComboIncomingCall.options[LineNo - 1] = new Option("Line-" + LineNo, LineNo - 1);
    }

    ComboIncomingCall.selectedIndex = 0;
}

function ResetComboRecord()
{
    while (ComboRecord.length > 0)
        ComboRecord.remove(0);

    for (LineNo = 1; LineNo <= m_nTotalLine; LineNo++)
    {
        ComboRecord.options[LineNo - 1] = new Option("Line-" + LineNo, LineNo - 1);
    }

    ComboRecord.selectedIndex = 0;
}

function ResetDialCombo()
{
    while (ComboDial.length > 0)
        ComboDial.remove(0);

    for (LineNo = 1; LineNo <= m_nTotalLine; LineNo++)
    {
        ComboDial.options[LineNo - 1] = new Option("Line-" + LineNo, LineNo - 1);
    }

    ComboDial.selectedIndex = 0;
}

function ResetConsultTransferCombo()
{
    while (ComboConsultLineA.length > 0)
        ComboConsultLineA.remove(0);

    while (ComboConsultLineB.length > 0)
        ComboConsultLineB.remove(0);

    for (LineNo = 1; LineNo <= m_nTotalLine; LineNo++)
    {
        ComboConsultLineA.options[LineNo - 1] = new Option("Line-" + LineNo, LineNo - 1);
    }

    for (LineNo = 1; LineNo <= m_nTotalLine; LineNo++)
    {
        ComboConsultLineB.options[LineNo - 1] = new Option("Line-" + LineNo, LineNo - 1);
    }

    ComboConsultLineA.selectedIndex = 0;
    ComboConsultLineB.selectedIndex = 1;
}

function BtnDial_onclick()
{

    if (EditPhoneNo.value == "") 
    {
        alert("Please enter a phone number.");
        return;
    }

    LineNo = ComboDial.selectedIndex;
    VaxDetectAMD(LineNo, CheckDetectAMD.checked, 6000, 300, 2)

    InputDeviceId = ListAudioIn.options[ListAudioIn.selectedIndex].value;
    OutputDeviceId = ListAudioOut.options[ListAudioOut.selectedIndex].value;
    
    if (!VaxDialCall(LineNo, EditPhoneNo.value, InputDeviceId, OutputDeviceId))
    {
        alert("error")
        VaxErrorMessage();
    }
    else
    {
        AddToPhoneLogList("Line-" + (LineNo + 1) + ": Dialing.");
    }
}

function BtnHangUp_onclick()
{
    StopDialTone();

    if (!VaxDisconnect(ComboDial.selectedIndex))
        VaxErrorMessage();
}

function BtnSaveToWaveFile_onclick()
{
    if (!VaxSaveRecordingToWaveFile(ComboRecord.selectedIndex, EditRecordFileName.value))
    {
        VaxErrorMessage();
        return;
    }

    alert("Saved Sucessfully");
}

function BtnResetRecordingBuffer_onclick()
{
    VaxResetRecording(ComboRecord.selectedIndex);
}

function CheckStartRecording_onclick()
{
    if (CheckStartRecording.checked)
    {
        VaxStartRecording(ComboRecord.selectedIndex, 2, 1);
    }
    else
    {
        VaxStopRecording(ComboRecord.selectedIndex);
    }
}

function BtnAccept_onclick()
{
    if (ListIncomingCall.selectedIndex == -1) return;

    CallId = ListIncomingCallId.options[ListIncomingCall.selectedIndex].text;
    LineNo = ComboIncomingCall.selectedIndex;

    VaxDetectAMD(LineNo, CheckDetectAMD.checked, 6000, 300, 2)

    InputDeviceId = ListAudioIn.options[ListAudioIn.selectedIndex].value;
    OutputDeviceId = ListAudioOut.options[ListAudioOut.selectedIndex].value;

    if (!VaxAcceptCall(LineNo, CallId, InputDeviceId, OutputDeviceId))
    {
        VaxErrorMessage();
        return;
    }

    StopTone();

    ListIncomingCallId.remove(ListIncomingCall.selectedIndex);
    ListIncomingCall.remove(ListIncomingCall.selectedIndex);

    if (ListIncomingCall.selectedIndex == -1 && ListIncomingCall.length > 0)
        ListIncomingCall.selectedIndex = 0;
}

function BtnReject_onclick()
{
    if (ListIncomingCall.selectedIndex == -1) return;

    CallId = ListIncomingCallId.options[ListIncomingCall.selectedIndex].text;

    if (!VaxRejectCall(CallId))
    {
        VaxErrorMessage();
        return;
    }

    StopTone();

    ListIncomingCallId.remove(ListIncomingCall.selectedIndex);
    ListIncomingCall.remove(ListIncomingCall.selectedIndex);

    if (ListIncomingCall.selectedIndex == -1 && ListIncomingCall.length > 0)
        ListIncomingCall.selectedIndex = 0;
}

function CheckPlayRingTone_onclick()
{
    if (CheckPlayRingTone.checked == 0)
        StopTone();
}

function AddToIncomingCallList(value)
{
    ListIncomingCall.options[ListIncomingCall.options.length] = new Option(value, 0);
}

function AddToIncomingCallIdList(value)
{
    ListIncomingCallId.options[ListIncomingCallId.options.length] = new Option(value, 0);
}

function FindCallId(CallId)
{
    for (ItemIndex = 0; ItemIndex < ListIncomingCallId.length; ItemIndex++)
    {
        if (ListIncomingCallId.options[ItemIndex].text == CallId)
            return ItemIndex;
    }

    return -1;
}

function BtnSetPlayFile_onclick()
{
    if (!VaxPlayWaveOpen(ComboPlayWave.selectedIndex, EditPlayFileName.value))
        VaxErrorMessage();
}

function BtnPlayPause_onclick()
{
    if (!VaxPlayWavePause(ComboPlayWave.selectedIndex))
        VaxErrorMessage();
}

function BtnPlayStop_onclick()
{
    if (!VaxPlayWaveStop(ComboPlayWave.selectedIndex))
        VaxErrorMessage();
}

function BtnStartPlay_onclick()
{
    if (!VaxPlayWaveStart(ComboPlayWave.selectedIndex, CheckPlayListen.checked))
        VaxErrorMessage();
}

function BtnPlayRewind_onclick()
{
    LineNo = ComboPlayWave.selectedIndex;

    PlayPos = VaxPlayWavePosition(LineNo);

    if (PlayPos == -1)
    {
        VaxErrorMessage();
        return;
    }

    if (!VaxPlayWaveSkipTo(LineNo, PlayPos - 3))
    {
        VaxErrorMessage();
    }
}

function BtnPlayForward_onclick()
{
    PlayPos = VaxPlayWavePosition(ComboPlayWave.selectedIndex);

    if (PlayPos == -1)
    {
        VaxErrorMessage();
        return;
    }

    if (!VaxPlayWaveSkipTo(ComboPlayWave.selectedIndex, PlayPos + 3))
    {
        VaxErrorMessage();
    }
}

function CheckLeftSpkListen_onclick()
{
    nLineNo = ListLines.selectedIndex;
    if (nLineNo == -1) return;

    if (!CheckLeftSpkListen.checked && !CheckRightSpkListen.checked)
    {
        CheckRightSpkListen.checked = true;
    }

    if (!VaxLineVoiceChannelSPK(nLineNo, SpkListenChannel(CheckLeftSpkListen.checked, CheckRightSpkListen.checked)))
    {
        VaxErrorMessage();
        return;
    }

    m_arrayListenLeftSpk[nLineNo] = CheckLeftSpkListen.checked;
}

function CheckRightSpkListen_onclick()
{
    nLineNo = ListLines.selectedIndex;
    if (nLineNo == -1) return;

    if (!CheckLeftSpkListen.checked && !CheckRightSpkListen.checked)
    {
        CheckLeftSpkListen.checked = true;
    }

    if (!VaxLineVoiceChannelSPK(nLineNo, SpkListenChannel(CheckLeftSpkListen.checked, CheckRightSpkListen.checked)))
    {
        VaxErrorMessage();
        return;
    }

    m_arrayListenRightSpk[nLineNo] = CheckRightSpkListen.checked;
}

function CheckAllowListenConf_onclick()
{
    nLineNo = ListLines.selectedIndex;
    if (nLineNo == -1) return;

    if (!VaxConfAllowLine(nLineNo, CheckAllowListenConf.checked, CheckAllowSpeakConf.checked))
    {
        VaxErrorMessage();
        return;
    }

    m_arrayAllowListenConf[nLineNo] = CheckAllowListenConf.checked;

}

function CheckAllowSpeakConf_onclick()
{
    nLineNo = ListLines.selectedIndex;
    if (nLineNo == -1) return;

    if (!VaxConfAllowLine(nLineNo, CheckAllowListenConf.checked, CheckAllowSpeakConf.checked))
    {
        VaxErrorMessage();
        return;
    }

    m_arrayAllowSpeakConf[nLineNo] = CheckAllowSpeakConf.checked;
}

function BtnTransferCall_onclick()
{
    if (!VaxTransferCallEx(ComboTransferCall.selectedIndex, EditTransferPhoneNo.value))
    {
        VaxErrorMessage();
    }
}

function CheckSpkMute_onclick()
{
    VaxMuteSpk(CheckSpkMute.checked);
}

function CheckMicMute_onclick()
{
    VaxMuteMic(CheckMicMute.checked);
}

function BtnSpkVolUp_onclick()
{
    SpkVol = EditSpkVol.value;
    if (SpkVol == 10) return;

    SpkVol++;
    EditSpkVol.value = SpkVol;


    /***************************************************************
    SetSpkVolume method requires Volume value from 0 to 255 range    
    but the slider range is 0 to 10, so we multiply the slider value 
    to 25 to get the required value to pass to SetSpkVolume method   

    For more detail, please see the method details document
    *****************************************************************/

    VaxSetSpkVolume(SpkVol * 25);
}

function BtnSpkVolDown_onclick()
{
    SpkVol = EditSpkVol.value;
    if (SpkVol == 0) return;

    SpkVol--;
    EditSpkVol.value = SpkVol;

    /***************************************************************
    SetSpkVolume method requires Volume value from 0 to 255 range    
    but the slider range is 0 to 10, so we multiply the slider value 
    to 25 to get the required value to pass to SetSpkVolume method   

    For more detail, please see the method details document
    *****************************************************************/

    VaxSetSpkVolume(SpkVol * 25);
}

function BtnMicVolUp_onclick()
{
    MicVol = EditMicVol.value;
    if (MicVol == 10) return;

    MicVol++;

    EditMicVol.value = MicVol;

    /***************************************************************
    SetMicVolume method requires Volume value from 0 to 255 range    
    but the slider range is 0 to 10, so we multiply the slider value 
    to 25 to get the required value to pass to SetMicVolume method   

    For more detail, please see the method details document
    *****************************************************************/

    VaxSetMicVolume(MicVol * 25);
}

function BtnMicVolDown_onclick()
{
    MicVol = EditMicVol.value;
    if (MicVol == 0) return;

    MicVol--;
    EditMicVol.value = MicVol;

    /***************************************************************
    SetMicVolume method requires Volume value from 0 to 255 range    
    but the slider range is 0 to 10, so we multiply the slider value 
    to 25 to get the required value to pass to SetMicVolume method   

    For more detail, please see the method details document
    *****************************************************************/

    VaxSetMicVolume(MicVol * 25);
}

function ProgressBarTick()
{
    ProgressBarTimer = setTimeout("ProgressBarTick()", 20);

    ChangeImgSize("SpkProgBarId", (285 / 100) * VaxGetSpkSoundLevel(), 14);
    ChangeImgSize("MicProgBarId", (285 / 100) * VaxGetMicSoundLevel(), 14);
}

function UpdateLineList(LineNo)
{
    if (CheckStartConf.checked)
    {
        for (LineCount = 0; LineCount < m_nTotalLine; LineCount++)
        {
            if (VaxIsLineHold(LineCount))
                VaxUnHoldLine(LineCount);
        }
    }

    else
    {
        for (LineCount = 0; LineCount < m_nTotalLine; LineCount++)
        {
            if (LineCount == LineNo) continue;

            if (VaxIsLineBusy(LineCount) == 1 && VaxIsLineHold(LineCount) == 0)
            {
                VaxHoldLine(LineCount);
            }
        }

        if (VaxIsLineHold(LineNo))
            VaxUnHoldLine(LineNo);
    }
}

function SpkListenChannel(bListenLeft, bListenRight)
{
    if (bListenLeft && !bListenRight)
        return 0;

    else if (!bListenLeft && bListenRight)
        return 1;

    return 2;
}

function StartDialTone()
{
    if (!m_bPlayDialTone) return;

    StartTone();
}

function StopDialTone() {
    if (!m_bPlayDialTone) return;

    StopTone();
}

function BtnDialPad1_onclick()
{
    EditPhoneNo.value += "1";
    VaxDigitDTMF(ComboDial.selectedIndex, "1");
}

function BtnDialPad2_onclick()
{
    EditPhoneNo.value += "2";
    VaxDigitDTMF(ComboDial.selectedIndex, "2");
}

function BtnDialPad3_onclick()
{
    EditPhoneNo.value += "3";
    VaxDigitDTMF(ComboDial.selectedIndex, "3");
}

function BtnDialPad4_onclick()
{
    EditPhoneNo.value += "4";
    VaxDigitDTMF(ComboDial.selectedIndex, "4");
}

function BtnDialPad5_onclick()
{
    EditPhoneNo.value += "5";
    VaxDigitDTMF(ComboDial.selectedIndex, "5");
}

function BtnDialPad6_onclick()
{
    EditPhoneNo.value += "6";
    VaxDigitDTMF(ComboDial.selectedIndex, "6");
}

function BtnDialPad7_onclick()
{
    EditPhoneNo.value += "7";
    VaxDigitDTMF(ComboDial.selectedIndex, "7");
}

function BtnDialPad8_onclick()
{
    EditPhoneNo.value += "8";
    VaxDigitDTMF(ComboDial.selectedIndex, "8");
}

function BtnDialPad9_onclick()
{
    EditPhoneNo.value += "9";
    VaxDigitDTMF(ComboDial.selectedIndex, "9");
}

function BtnDialPadStar_onclick()
{
    VaxDigitDTMF(ComboDial.selectedIndex, "*");
}

function BtnDialPad0_onclick()
{
    EditPhoneNo.value += "0";
    VaxDigitDTMF(ComboDial.selectedIndex, "0");
}

function BtnDialPadNo_onclick()
{
    VaxDigitDTMF(ComboDial.selectedIndex, "#");
}
function CheckPlayDialTone_onclick()
{
    if (m_bPlayDialTone)
        StopTone();

    m_bPlayDialTone = CheckPlayDialTone.checked;
}

function BtnHold_onclick()
{
    LineNo = ComboDial.selectedIndex;

    if (!VaxHoldLine(LineNo))
        VaxErrorMessage();
}

function BtnUnHold_onclick()
{
    LineNo = ComboDial.selectedIndex;

    if (!VaxUnHoldLine(LineNo))
        VaxErrorMessage();
}

function BtnConsultTransfer_onclick()
{
    if (ComboConsultLineA.selectedIndex == ComboConsultLineB.selectedIndex)
    {
        alert("Please select two different lines.");
        return;
    }

    if (!VaxJoinTwoLine(ComboConsultLineA.selectedIndex, ComboConsultLineB.selectedIndex))
    {
        VaxErrorMessage();
        return;
    }
}

function CheckMuteLineSPK_onclick()
{
    nLineNo = ListLines.selectedIndex;

    if (!VaxMuteLineSPK(nLineNo, CheckMuteLineSPK.checked))
    {
        VaxErrorMessage();
        return;
    }

    m_arrayMuteLineSPK[nLineNo] = CheckMuteLineSPK.checked;
}

function CheckMuteLineMIC_onclick()
{
    nLineNo = ListLines.selectedIndex;

    if (!VaxMuteLineMIC(nLineNo, CheckMuteLineMIC.checked))
    {
        VaxErrorMessage();
        return;
    }

    m_arrayMuteLineMIC[nLineNo] = CheckMuteLineMIC.checked;
}

function ListLines_onclick()
{
    nLineNo = ListLines.selectedIndex;
    if (nLineNo == -1) return;

    CheckMuteLineMIC.checked = m_arrayMuteLineMIC[nLineNo];
    CheckMuteLineSPK.checked = m_arrayMuteLineSPK[nLineNo];

    CheckLeftSpkListen.checked = m_arrayListenLeftSpk[nLineNo];
    CheckRightSpkListen.checked = m_arrayListenRightSpk[nLineNo];

    CheckAllowListenConf.checked = m_arrayAllowListenConf[nLineNo];
    CheckAllowSpeakConf.checked = m_arrayAllowSpeakConf[nLineNo];
}

function CheckForwardCall_onclick()
{
    if (EditForwardCallPhoneNo.value == "")
    {
        CheckForwardCall.checked = false;
        alert("Please enter a phone number.");
        return;
    }

    if (!VaxForwardCall(CheckForwardCall.checked, EditForwardCallPhoneNo.value))
    {
        VaxErrorMessage();
        return;
    }
}

function AddToPhoneLogList(value)
{
    if (ListPhoneLog.value.length == 0)
        ListPhoneLog.value = ListPhoneLog.value + value;
    else
        ListPhoneLog.value = ListPhoneLog.value + "\n" + value;

    ListPhoneLog.scrollTop = ListPhoneLog.scrollHeight;

}

function BtnClearPhoneLog_onclick()
{
    ListPhoneLog.value = "";
}

function GetCodecName(CodecNo)
{
    if (CodecNo == 0)
        return "gsm6.10";

    if (CodecNo == 1)
        return "iLBC      ";

    if (CodecNo == 2)
        return "gsm711a";

    if (CodecNo == 3)
        return "gsm711u";

    if (CodecNo == 4)
        return "g729     ";

    return "";
}

function BlinkStart()
{

    PhoneTab = document.getElementById("Phone");
    if (PhoneTab.style.display != 'block' && ListIncomingCall.length == 1)
    {
        //m_nInterval = setInterval(function () { BlinkText() }, 500);
        m_nInterval = setInterval("BlinkText()", 500);
    }
}

function BlinkStop()
{
    PhoneTab = document.getElementById("Phone");
    if (PhoneTab.style.display != 'block' && ListIncomingCall.length > 0) return;

    clearInterval(m_nInterval);
    document.getElementById("PhoneLink").style.color = "";
}

function BlinkText()
{

    LinkText = document.getElementById("PhoneLink");
    LinkText.style.color = (LinkText.style.color == 'blue' || LinkText.style.color == 'purple' ? 'red' : 'blue');

}

/*---------------------------------------------------------EVENTS--------------------------------------------------------------------------*/

function OnIncomingCall(CallId, DisplayName, UserName, FromURI, ToURI)
{
    if (FindCallId(CallId) != -1) return;

    AddToIncomingCallIdList(CallId);

    if (DisplayName != "")
        AddToIncomingCallList("CLI: " + DisplayName);
    else
        AddToIncomingCallList("CLI: " + UserName);

    if (ListIncomingCall.selectedIndex == -1 && ListIncomingCall.length > 0)
        ListIncomingCall.selectedIndex = 0;
}

function OnIncomingCallRingingStart(CallId)
{
    if (CheckPlayRingTone.checked)
        StartTone();
    BlinkStart();
}

function OnIncomingCallRingingStop(CallId)
{
    ItemIndex = FindCallId(CallId);
    if (ItemIndex == -1) return;

    ListIncomingCall.remove(ItemIndex);
    ListIncomingCallId.remove(ItemIndex);

    StopTone();
    BlinkStop();
}

function OnIncomingDiagnostic(MsgSIP, FromIP, FromPort)
{
}

function OnOutgoingDiagnostic(MsgSIP, ToIP, ToPort)
{
}

function OnDTMFDigit(LineNo, Digit)
{
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Key-pressed: " + Digit);
}

function OnPlayWaveDone(LineNo)
{
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Play wave file done.");
}

function OnFailToConnect(LineNo)
{
    StopDialTone();
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Fail to connect.");
}

function OnConnecting(LineNo)
{
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Connecting.");
}

function OnSuccessToConnect(LineNo, ToRTPIP, ToRTPPort)
{
    StopDialTone();

    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Success to connect.");

    EditSpkVol.value = Math.round(VaxGetSpkVolume() / 25);
    EditMicVol.value = Math.round(VaxGetMicVolume() / 25);

    CheckMicBoost.checked = VaxIsMicBoostEnable();
}

function OnDisconnectCall(LineNo)
{
    StopDialTone();
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Hung up.");
}

function OnCallTransferAccepted(LineNo)
{
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Transfer accepted.");
}

function OnFailToTransfer(LineNo, StatusCode, ReasonPhrase)
{
    AddToPhoneLogList("Fail to Transfer: " + ReasonPhrase);
}

function OnProvisionalResponse(LineNo, StatusCode, ReasonPhrase)
{
    if (StatusCode == 180)
        StartDialTone();

    else if (StatusCode == 183)
        StopDialTone();

    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Response: " + ReasonPhrase + ".");
}

function OnRedirectionResponse(LineNo, StatusCode, ReasonPhrase, Contact)
{
    StopDialTone();
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Response: " + ReasonPhrase + ".");
}

function OnServerFailureResponse(LineNo, StatusCode, ReasonPhrase)
{
    StopDialTone();
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Response: " + ReasonPhrase + ".");
}

function OnGeneralFailureResponse(LineNo, StatusCode, ReasonPhrase)
{
    StopDialTone();
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Response: " + ReasonPhrase + ".");
}

function OnRequestFailureResponse(LineNo, StatusCode, ReasonPhrase)
{
    StopDialTone();
    AddToPhoneLogList("Line-" + (LineNo + 1) + ": Response: " + ReasonPhrase + ".");
}

function OnSessionLostEvent(LineNo)
{

}

function OnSuccessToHold(LineNo)
{

}

function OnTryingToHold(LineNo)
{

}

function OnFailToHold(LineNo)
{

}

function OnSuccessToUnHold(LineNo)
{

}

function OnTryingToUnHold(LineNo)
{

}

function OnFailToUnHold(LineNo)
{

}

function OnMsgNOTIFY(Msg)
{
}

function OnDetectedAMD(LineNo, IsHuman)
{
    if (!IsHuman)
        AddToPhoneLogList("Line-" + (LineNo + 1) + ": Answering Machine [Yes]");
    else
        AddToPhoneLogList("Line-" + (LineNo + 1) + ": Answering Machine [No]");
}