// mysheet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMySheet

class CMySheet : public CPropertySheet
{

protected:
	//	void BuildPropPageArray();
	RECT m_rctPage;
	CFont m_fntPage;

	DECLARE_DYNAMIC(CMySheet)

public:
	CMySheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CMySheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

public:
	void SetPageTitle(LPCTSTR sTitle, int nPageNo);

public:
	virtual BOOL OnInitDialog();

protected:
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
    
	virtual ~CMySheet();

	virtual void BuildPropPageArray ();

public:
	afx_msg LONG OnResizePage (UINT, LONG);
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
